.instagram {
    @include side-paddings;

    @media screen and (min-width: $width-medium) {
        max-width: 1170px;
        background: rgba(1, 1, 1, 0.03);
    }

    &__navtext {
        font-weight: 700;
        font-size: 14px;
        line-height: 22px;
        color: $main-color;
        text-transform: uppercase;

        @media screen and (min-width: $width-medium) {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        @media screen and (min-width: $width-desktop) {
            max-width: 1170px;
        }

        &-mobile {
            @media screen and (min-width: $width-medium) {
                display: none;
            }
        }

        &-medium {
            display: none;

            @media screen and (min-width: $width-medium) {
                display: block;
                padding-top: 47px;
            }
        }
    }

    &__shots {
        @media screen and (min-width: $width-medium) {
            display: grid;
            grid-template-columns: 1fr 1fr 1fr;
            column-gap: 10px;
        }

        @media screen and (min-width: $width-desktop) {
            grid-template-columns: 1fr 1fr 1fr 1fr;
            column-gap: 10px;
            max-width: 1170px;
        }

        a {
            display: none;
            padding-right: 47px;

            @media screen and (min-width: $width-medium) {
                display: block;
                padding-top: 35px;
                margin-bottom: 50px;
                padding-right: 0;
            }

            @media screen and (min-width: $width-desktop) {
                padding-top: 24px;
                margin-bottom: 49px;
                padding-right: 0;
            }

            &:first-child {
                display: flex;
                width: 301px;
                height: 301px;
                padding-top: 13px;
                margin-bottom: 42px;

                @media screen and (min-width: $width-medium) {
                    display: block;
                    width: 100%;
                    height: 100%;
                    padding-top: 35px;
                    margin-bottom: 50px;
                }

                @media screen and (min-width: $width-desktop) {
                    padding-top: 24px;
                    margin-bottom: 49px;
                }
            }

            &:last-child {
                @media screen and (min-width: $width-medium) {
                    display: none;
                };
                @media screen and (min-width: $width-desktop) {
                    display: block;
                }
            }

            img {
                width: 100%;
            }
        }
    }
}
